RGW-ORPHAN-LIST(8)

NAME
rgw-orphan-list - list rados objects that are not indexed by rgw

SYNOPSIS
rgw-orphan-list

DESCRIPTION

rgw-orphan-list is an EXPERIMENTAL RADOS gateway user administration utility. It produces a listing of rados objects that are not directly or indirectly referenced through the bucket indexes on a pool. It places the results and intermediate files on the local filesystem rather than on the ceph cluster itself, and therefore will not itself consume additional cluster storage.

In theory orphans should not exist. However because ceph evolves rapidly, bugs do crop up, and they may result in orphans that are left behind.

In its current form this utility does not take any command-line arguments or options. It will list the available pools and prompt the user to enter the pool they would like to list orphans for.

Behind the scenes it runs rados ls and radosgw-admin bucket radoslist ... and produces a list of those entries that appear in the former but not the latter. Those entries are presumed to be the orphans.

WARNINGS

This utility is currently considered EXPERIMENTAL.

This utility will produce false orphan entries for unindexed buckets since such buckets have no bucket indices that can provide the starting point for tracing.

OPTIONS

At present there are no options.

EXAMPLES

Launch the tool:

$ rgw-orphan-list

AVAILABILITY

radosgw-admin is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

radosgw-admin(8) ceph-diff-sorted(8)

COPYRIGHT
2010-2021, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)